Bug 1065745 - Review Request: lltag - tag music files comfortably [NEEDINFO]
Review Request: lltag - tag music files comfortably
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2014-02-16 11:21 EST by Mark Meyer
Modified: 2014-10-07 18:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: needinfo? (ofosos)


Attachments (Terms of Use)

  None (edit)
Description Mark Meyer 2014-02-16 11:21:20 EST
Spec URL: http://ofosos.org/lltag.spec
SRPM URL: http://ofosos.org/lltag-0.14.4-1.fc20.src.rpm
Description: lltag is a frontend to tag (and rename) mp3/ogg/flac files automagically. It uses mp3info, vorbiscomment and metaflac to do so.
Fedora Account System Username: ofosos
Comment 1 Mark Meyer 2014-02-16 11:39:55 EST
Please use http://ofosos.org/lltag-0.14.4-2.fc20.src.rpm

The earlier module contained an error putting perl files into /usr/lib/ instead of /usr/share

Thanks.
Comment 2 Leon Weber 2014-02-16 11:56:44 EST
Some issues (this is an **INFORMAL** review):

- Summary should not end in a dot
- License should be GPLv2+ instead of GPL
- Source0 should contain the full URL of the source tarball
- It would be nicer to format the spec file in a way that all tag values are lined up in one colum
- The description field has a trailing whitespace
- The %files section should be using macros instead of hardcoded paths
- Put upstream’s COPYING, Changes and README files in a %doc directory
- %changelog section must have the package version, and should have a (non-empty) entry (e.g. “First version for Fedora”)

Please read <http://fedoraproject.org/wiki/How_to_create_an_RPM_package> as an introduction and <https://fedoraproject.org/wiki/Packaging:Guidelines> for full guidelines.
Comment 3 Leon Weber 2014-02-16 12:08:37 EST
(In reply to Leon Weber from comment #2)
> - The description field has a trailing whitespace

What I meant to write was that it has a _leading_ whitespace.
Comment 4 Mark Meyer 2014-02-16 12:38:04 EST
Leon,
thanks for your feedback! I think I fixed you remarks.

I think I was careful to make the subdirectories under /usr/share/doc, /etc and /usr/share/perl5 owned by the package.

The koji build is here:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=6535942
Spec:
  http://ofosos.org/lltag.spec
SRPM:
  http://ofosos.org/lltag-0.14.4-5.fc20.src.rpm

This is my first package so I will need a sponsor.
Comment 5 Mark Meyer 2014-02-16 12:41:44 EST
Dang. I left out the changelog, it's updated in the spec file.
Comment 6 Leon Weber 2014-02-16 12:52:10 EST
You’re mixing tabs and spaces for indention in the spec file, e.g.

  8 Source0:        http://download.gna.org/lltag/lltag-0.14.4.tar.bz2
  9 Patch1:     lltag-prefix.patch

Line 8 uses spaces while line 9 uses tabs. That’s why it looks unaligned in my editor. It would be better to keep it consistent.

It’s recommended to put the version tag in the source URL, so that it doesn’t have to be changed with every version bump:

http://download.gna.org/lltag/lltag-%{version}.tar.bz2

(You could even replace lltag with %{name}.)

make doesn’t need to be specified in the BuildRequires (see <https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires> for a list of exceptions).

Changelog still missing a version tag, see <https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs> for valid formats.
Comment 7 Mark Meyer 2014-02-16 13:13:23 EST
There's an update of the spec file:
  http://ofosos.org/lltag.spec
And a new SRPM:
  http://ofosos.org/lltag-0.14.4-2.fc20.src.rpm

The alignment issue is fixed.
The source tag is fixed.
%{version} and %{name} added to the url.

Koji build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=6535955
Comment 8 Mark Meyer 2014-02-16 13:20:52 EST
This should be http://ofosos.org/lltag-0.14.4-6.fc20.src.rpm and the make issue is also resolved.
Comment 9 Leon Weber 2014-02-16 14:05:17 EST
This fails to build:

error: Installed (but unpackaged) file(s) found:
   /usr/share/doc/lltag/COPYING
   /usr/share/doc/lltag/Changes
   /usr/share/doc/lltag/README

This happens because you copy these files to %{_docdir} in the %install section. In the %files section, however, you don’t reference the files in %{_docdir} but the ones directly in $RPM_BUILD_ROOT. Just drop the cp line and the mkdir from the %install section and you should be good.

Some more minor issues:

The Summary line doesn’t need to repeat the package name (e.g. “A frontend to tag…” instead of “lltag is a frontend to tag…”).

Nitpicking: There’s still _one_ tab character in the spec file, after the colon in line 9, followed by seven space characters. ;-)

Break the description field into multiple lines of <= 80 characters each.

Run rpmlint to test for these things: See <http://fedoraproject.org/wiki/How_to_create_an_RPM_package#Test_with_rpmlint> and the following sections.

Btw, you should stick to the format from the template for posting links to spec and rpm files, so that the fedora-review tool can pick them up automatically:

Spec URL: http://ofosos.org/lltag.spec
SRPM URL: http://ofosos.org/lltag-0.14.4-2.fc20.src.rpm

That way you don’t risk a reviewer accidentally reviewing an old version (fedora-review picks the latest URL it can find).
Comment 10 Christopher Meng 2014-02-16 20:00:28 EST
Friendly reminder:

Please try to find a sponsor by yourself, don't rely on any people here, we all can't help you. 

Please make a self introduction email in -devel list. This may help. 

Thanks.
Comment 11 Volker Fröhlich 2014-04-22 17:07:00 EDT
Mark, are you still interested?
Comment 12 Hin-Tak Leung 2014-10-07 18:24:28 EDT
Adding cc. - found myself needing it recently.

Note You need to log in before you can comment on or make changes to this bug.